from Crypto.Cipher import AES, DES3
from Crypto.Util.Padding import pad, unpad
from pwn import xor
from tqdm import tqdm
import requests, multiprocessing, string


base_url = 'https://aes.cryptohack.org/'

def encrypt_flag():
    route = '/bean_counter/encrypt/'
    response = requests.get(base_url + route)
    return bytes.fromhex(response.json()['encrypted'])

firstBlock = bytes.fromhex('89 50 4E 47 0D 0A 1A 0A 00 00 00 0D 49 48 44 52'.replace(' ', ''))
data = encrypt_flag()
key = xor(firstBlock, data[:16])
with open('bean_flag.png', 'wb') as f:
    for i in range(0, len(data), 16):
        f.write(xor(key, data[i:i+16]))
# crypto{hex_bytes_beans}